Debian Bug report logs - #639356
Bluez udev rules attempt to access /usr when /usr may not be mounted

version graph

Package: bluez; Maintainer for bluez is Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>; Source for bluez is src:bluez.

Reported by: anomie@users.sourceforge.net

Date: Fri, 26 Aug 2011 10:39:02 UTC

Severity: normal

Found in version bluez/4.96-1

Fixed in version bluez/4.96-2

Done: Nobuhiro Iwamatsu <iwamatsu@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>:
Bug#639356; Package bluez. (Fri, 26 Aug 2011 10:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to anomie@users.sourceforge.net:
New Bug report received and forwarded. Copy sent to Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>. (Fri, 26 Aug 2011 10:39:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: anomie@users.sourceforge.net
To: submit@bugs.debian.org
Subject: Bluez udev rules attempt to access /usr when /usr may not be mounted
Date: Fri, 26 Aug 2011 06:36:50 -0400
Package: bluez
Version: 4.96-1

The file /lib/udev/rules.d/97-bluetooth.rules installed by this package
contains calls to programs in /usr, which may not be mounded at the time
it is first used during boot. This causes error messages to be printed
during boot as udev complains about being unable to execute the command.
Note this only occurs on systems where /usr is a separate partition.

The fix is to install an appropriate script in /lib/udev and then use
that from the udev rules. The script could be something as simple as
this:

	#!/bin/sh -e
	# /usr is not guaranteed to be mounted when udev starts

	(
		. /lib/udev/hotplug.functions
		wait_for_file /usr/sbin/bluetoothd
		exec /usr/sbin/bluetoothd "$@"
	) &

See bug #624678 for a similar bug in a different package.




Reply sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
You have taken responsibility. (Thu, 29 Sep 2011 11:33:25 GMT) Full text and rfc822 format available.

Notification sent to anomie@users.sourceforge.net:
Bug acknowledged by developer. (Thu, 29 Sep 2011 11:33:30 GMT) Full text and rfc822 format available.

Message #10 received at 639356-close@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
To: 639356-close@bugs.debian.org
Subject: Bug#639356: fixed in bluez 4.96-2
Date: Thu, 29 Sep 2011 11:32:20 +0000
Source: bluez
Source-Version: 4.96-2

We believe that the bug you reported is fixed in the latest version of
bluez, which is due to be installed in the Debian FTP archive:

bluetooth_4.96-2_all.deb
  to main/b/bluez/bluetooth_4.96-2_all.deb
bluez-alsa_4.96-2_amd64.deb
  to main/b/bluez/bluez-alsa_4.96-2_amd64.deb
bluez-audio_4.96-2_all.deb
  to main/b/bluez/bluez-audio_4.96-2_all.deb
bluez-compat_4.96-2_amd64.deb
  to main/b/bluez/bluez-compat_4.96-2_amd64.deb
bluez-cups_4.96-2_amd64.deb
  to main/b/bluez/bluez-cups_4.96-2_amd64.deb
bluez-dbg_4.96-2_amd64.deb
  to main/b/bluez/bluez-dbg_4.96-2_amd64.deb
bluez-gstreamer_4.96-2_amd64.deb
  to main/b/bluez/bluez-gstreamer_4.96-2_amd64.deb
bluez-pcmcia-support_4.96-2_amd64.deb
  to main/b/bluez/bluez-pcmcia-support_4.96-2_amd64.deb
bluez-utils_4.96-2_all.deb
  to main/b/bluez/bluez-utils_4.96-2_all.deb
bluez_4.96-2.debian.tar.gz
  to main/b/bluez/bluez_4.96-2.debian.tar.gz
bluez_4.96-2.dsc
  to main/b/bluez/bluez_4.96-2.dsc
bluez_4.96-2_amd64.deb
  to main/b/bluez/bluez_4.96-2_amd64.deb
libbluetooth-dev_4.96-2_amd64.deb
  to main/b/bluez/libbluetooth-dev_4.96-2_amd64.deb
libbluetooth3-dbg_4.96-2_amd64.deb
  to main/b/bluez/libbluetooth3-dbg_4.96-2_amd64.deb
libbluetooth3_4.96-2_amd64.deb
  to main/b/bluez/libbluetooth3_4.96-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 639356@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nobuhiro Iwamatsu <iwamatsu@debian.org> (supplier of updated bluez package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 28 Sep 2011 01:50:05 +0900
Source: bluez
Binary: libbluetooth3 libbluetooth3-dbg libbluetooth-dev bluetooth bluez bluez-dbg bluez-alsa bluez-gstreamer bluez-cups bluez-pcmcia-support bluez-compat bluez-utils bluez-audio
Architecture: source all amd64
Version: 4.96-2
Distribution: unstable
Urgency: low
Maintainer: Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>
Changed-By: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Description: 
 bluetooth  - Bluetooth support
 bluez      - Bluetooth tools and daemons
 bluez-alsa - Bluetooth ALSA support
 bluez-audio - Transitional package
 bluez-compat - BlueZ 3.x compatibility binaries
 bluez-cups - Bluetooth printer driver for CUPS
 bluez-dbg  - Bluetooth tools and daemons (with debugging symbols)
 bluez-gstreamer - Bluetooth GStreamer support
 bluez-pcmcia-support - PCMCIA support files for BlueZ 2.0 Bluetooth tools
 bluez-utils - Transitional package
 libbluetooth-dev - Development files for using the BlueZ Linux Bluetooth library
 libbluetooth3 - Library to use the BlueZ Linux Bluetooth stack
 libbluetooth3-dbg - Library to use the BlueZ Linux Bluetooth stack with debugging sym
Closes: 558742 639356 643321
Changes: 
 bluez (4.96-2) unstable; urgency=low
 .
   * Add support static library of libbluetooth-dev. (Closes: #558742)
     Don't include static library in bluez-alsa and bluez-gstreamer.
   * Fix bluez udev rules attempt to access /usr when /usr may not be mounted.
     Thanks to anomie@users.sourceforge.net. (Closes: #639356)
   * Fix typo in debian/bluez.preinst. (Closes: #643321)
     Thanks to Trent W. Buck.
   * Remove dh-autoreconf and add '-Wl,--as-needed' to LDFLAGS.
Checksums-Sha1: 
 06478fbf048e029c34b2f28e720e730c72a59230 2911 bluez_4.96-2.dsc
 00f935f062962ef874a65489d8094f61598ee871 27510 bluez_4.96-2.debian.tar.gz
 1bd85132994b9a59e47dbaf34a15cc18f02adae0 36516 bluetooth_4.96-2_all.deb
 459371aac4e76c7eaf6ed289675576711e58e638 36474 bluez-utils_4.96-2_all.deb
 a2f6f15bb9ae9447a59e0935d81b3aac592ca923 36308 bluez-audio_4.96-2_all.deb
 d9087d8c6ec2b5e4308e598478639b95e0afe72a 86978 libbluetooth3_4.96-2_amd64.deb
 266d9dfce19c23453718ce0dcdd0cc24fb33ecde 116658 libbluetooth3-dbg_4.96-2_amd64.deb
 741c94b2e14eaa1d584cec757c87d822fee0f626 115712 libbluetooth-dev_4.96-2_amd64.deb
 fef9d2e7bf4c1f147f720e7f253060bb680a2581 656112 bluez_4.96-2_amd64.deb
 ca73ee93bf4caff05a7cca6b3e837b79befce421 1143852 bluez-dbg_4.96-2_amd64.deb
 f6b5000195642211e75fffbcdab9da0b15cc2a29 80832 bluez-alsa_4.96-2_amd64.deb
 f59a2bb0fa227e603c0245dd57d0f23eb32519a5 98638 bluez-gstreamer_4.96-2_amd64.deb
 b23a130944486640545006730d4d724c0cfaa403 57590 bluez-cups_4.96-2_amd64.deb
 1549259212a297b1e006bfa74c12277a8d4ef059 37626 bluez-pcmcia-support_4.96-2_amd64.deb
 b84714448d1e3d9a31f6f91c21fdbb774bfce95a 93334 bluez-compat_4.96-2_amd64.deb
Checksums-Sha256: 
 9f16625ba1d8423cf8a07bc297bdc739aa421db307edeeee1222d72f3b343bba 2911 bluez_4.96-2.dsc
 e5b522a972d19aed822b9a2cff1134fbb83dbd0e8df90c95e3f68a64c8547465 27510 bluez_4.96-2.debian.tar.gz
 6a21df8277093c6d4f82e1c568ebfd99a829f349d5b7130568553b60dd505d8f 36516 bluetooth_4.96-2_all.deb
 d9eb3ad5affa24fb5ea5ff75f8b2a85d34c1d5725830f1ea860524a929fe1751 36474 bluez-utils_4.96-2_all.deb
 1b3da9cbf88071993934643a615a88abff11b6c83672fd5168528e9d1eddce1f 36308 bluez-audio_4.96-2_all.deb
 132fc6ac5214215abc2aff79fa1949543c1baa1cab42812acedd6a78a3b923f6 86978 libbluetooth3_4.96-2_amd64.deb
 5c1a2f4eed8a3ec2835d6684d88fc6b87bb960b216f287e34c8c265f19e37175 116658 libbluetooth3-dbg_4.96-2_amd64.deb
 25459e0ac105eaf5d672d5dc49570c8e30a1e84f02736d9958fc91fe6d1803fb 115712 libbluetooth-dev_4.96-2_amd64.deb
 de200b483737d9ed5fe2097364056c51c728d31f9473ddeb7e1f1c55b2164008 656112 bluez_4.96-2_amd64.deb
 a475424e0db3cb8f63a6aa8e792d8732b29710bf323bbe7467c54980e45b61c2 1143852 bluez-dbg_4.96-2_amd64.deb
 d163d1c8b9a9085317b3769b8dda201b38167879258fc691744d0680409e1c01 80832 bluez-alsa_4.96-2_amd64.deb
 44e9e0bce34361f89d12b5011673886c7350af5be779546e7f10159207a6a6ae 98638 bluez-gstreamer_4.96-2_amd64.deb
 12bdcc0bab7d1bf73e3ce029958d73fd085c3a0515dfce362158c4f6fc42ff17 57590 bluez-cups_4.96-2_amd64.deb
 6a5470d113d2338edcc227a4fd196655011f362108e6844f8ea4cae4370bcaba 37626 bluez-pcmcia-support_4.96-2_amd64.deb
 a96ffd650c5dff8d04a10f9e665e79a1483ba6c36e571d63ca6041517bbb29fa 93334 bluez-compat_4.96-2_amd64.deb
Files: 
 dc0d41cc6b8a610f53a3dde9d19d3138 2911 admin optional bluez_4.96-2.dsc
 442f3a1eeaeae2282f78b58cde9c0897 27510 admin optional bluez_4.96-2.debian.tar.gz
 eaa96d553aec8fe45f2c7663343fe967 36516 admin optional bluetooth_4.96-2_all.deb
 396b60da11508c12d30f04184547e3db 36474 admin optional bluez-utils_4.96-2_all.deb
 0efa728e9d8ecbfcae0e4bd45d81f02c 36308 admin optional bluez-audio_4.96-2_all.deb
 de812af0e43191ba7cdc194f20c75737 86978 libs optional libbluetooth3_4.96-2_amd64.deb
 c60a7410203f10cc0e8ace9092657a83 116658 debug extra libbluetooth3-dbg_4.96-2_amd64.deb
 3dd97f4dd7b77eba012dc1ec743b0f21 115712 libdevel extra libbluetooth-dev_4.96-2_amd64.deb
 62900091523ac26a9b4c674a22998145 656112 admin optional bluez_4.96-2_amd64.deb
 d4c14139c5979f8116a74f8a10f887ec 1143852 debug extra bluez-dbg_4.96-2_amd64.deb
 c552fd7537ca2765b6e07c85d241b49e 80832 admin optional bluez-alsa_4.96-2_amd64.deb
 bcdded90074e99c73c0c7e8a6d374b54 98638 admin optional bluez-gstreamer_4.96-2_amd64.deb
 e846f4a322b335bd984426cbb0f66637 57590 admin optional bluez-cups_4.96-2_amd64.deb
 a7592b76ec8ba4b982cec12f864d7e4f 37626 admin extra bluez-pcmcia-support_4.96-2_amd64.deb
 90a88a2d69059abd856c5c349e09f43d 93334 admin optional bluez-compat_4.96-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOg/T9AAoJEDIkf7tArR+mKi4P/2h75v5j1TTcJzzh361BI5gs
5XI4wIZrUB9MmP076I5JYm+OttJIInmR4N8IqAVePXQW3bU3bSC4a3jLGFZxL4DE
trawhxHKOFzePzmHfmVU55OOH1LkBQBjG5Dnyv5gJirzwjl80S4EMP5bX2YvMJNQ
GWgCHMGa4YeDk/CWhsqmDpDrQnxalSrEEBxyHk7xRzSythpZ7cbydm1K/itwiDoi
m+yTpERBq2DhNxszP/Idj47goongSoElYuE+LQ6K22zE2m6JiS/64h7zeJW6jzpm
0Vkjn/fbOlIfWJ7GWY/e0ntIJx92V4kJFUvZALM4YQ0l7iaYv/wluCMnXgJJqRnY
iLiFzSEUGMRbuEjEZolCkPP5tpQ9tP+1sN9zIPnADPy1iiEV2syvmACmjKWvRVDW
YfjLpdG1eUc6JNgKGEmdOz0/oGIVU7KhPK/56DsIxNoQ3fhdD8GQHCfx01qLleIw
Xgc8mdeIK+f8XZNcn1JQUUiybfNezfBIMvRzQXNEER9v7zrNZda1mfxzGgHEaMlT
D+gZJYIrkDw6cgIvm4T4zyglorg+vt6xYU1VCbinnacTQaBXL62vS4+2wEhJcRHt
99+CYv4hvIezwlvRS9nUl43f/4U+efqlEr+H8nAW3zFNt/NC0qfprDVer33KoYrV
YsNkjNiniIoAvlHd+l+X
=/fcP
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 29 Oct 2011 07:38:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:26:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.